Package com.io7m.coffeepick.api

# Class CoffeePickCatalogEventRepositoryUpdateFailed.Builder

java.lang.Object
com.io7m.coffeepick.api.CoffeePickCatalogEventRepositoryUpdateFailed.Builder

Enclosing class:
  CoffeePickCatalogEventRepositoryUpdateFailed

    public static final class CoffeePickCatalogEventRepositoryUpdateFailed.Builder
    extends java.lang.Object

Builds instances of type `CoffeePickCatalogEventRepositoryUpdateFailed`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CoffeePickCatalogEventRepositoryUpdateFailed` | `build()` | Builds a new `CoffeePickCatalogEventRepositoryUpdateFailed`.
  `CoffeePickCatalogEventRepositoryUpdateFailed.Builder` | `from​(CoffeePickCatalogEventRepositoryUpdateFailedType instance)` | Fill a builder with attribute values from the provided `CoffeePickCatalogEventRepositoryUpdateFailedType` instance.
  `CoffeePickCatalogEventRepositoryUpdateFailed.Builder` | `setException​(java.lang.Exception exception)` | Initializes the value for the `exception` attribute.
  `CoffeePickCatalogEventRepositoryUpdateFailed.Builder` | `setUri​(java.net.URI uri)` | Initializes the value for the `uri` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final CoffeePickCatalogEventRepositoryUpdateFailed.Builder from​(CoffeePickCatalogEventRepositoryUpdateFailedType instance)
    Fill a builder with attribute values from the provided `CoffeePickCatalogEventRepositoryUpdateFailedType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setUri

    public final CoffeePickCatalogEventRepositoryUpdateFailed.Builder setUri​(java.net.URI uri)
    Initializes the value for the `uri` attribute.
    Parameters:
      `uri` - The value for uri
    Returns:
      `this` builder for use in a chained invocation

  - ### setException

    public final CoffeePickCatalogEventRepositoryUpdateFailed.Builder setException​(java.lang.Exception exception)
    Initializes the value for the `exception` attribute.
    Parameters:
      `exception` - The value for exception
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public CoffeePickCatalogEventRepositoryUpdateFailed build()
    Builds a new `CoffeePickCatalogEventRepositoryUpdateFailed`.
    Returns:
      An immutable instance of CoffeePickCatalogEventRepositoryUpdateFailed
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing